
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.active.hurkanSwitch-switch-item-status-off{
	/*padding-right:15px;*/
	/*padding-left:32px;*/
	background:#b2b2b2;
	color:#fff;
	text-align:right;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.active.hurkanSwitch-switch-item-status-on{
	/*padding-right:32px;*/
	/*padding-left:15px;*/
	background-color:#1ab394;
	color:#fff;
	text-align:left;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.active{
	opacity:1;
	display:block;

}
.hurkanSwitch>.hurkanSwitch-switch-box.switch-animated-on>.hurkanSwitch-switch-item.active{ 
	opacity:1; 
}
.hurkanSwitch>.hurkanSwitch-switch-box.switch-animated-on>.hurkanSwitch-switch-item.active .lbl{ 
	opacity:1; 
	animation-name: active;
	animation-duration: 0.5s;
	position: absolute;
	left: 50px;
	top: -4px;
	color: #5a5f61 !important;
	white-space: nowrap;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item{
	line-height:16px;
	font-size:100%;
	opacity:0;
	display:none;
	border-radius:30px;
	padding-top:5px;
	padding-bottom:5px;
	position:relative;
	/*box-shadow:0px 0px 2px #777777 inset;*/
	height:10px;
	box-sizing: border-box;
	border: 1px solid #bcbcbc;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item:hover{ 
text-decoration:none;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-status-off>.hurkanSwitch-switch-cursor-selector{
left:-5px;
}	
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-status-on>.hurkanSwitch-switch-cursor-selector{ 
right:-5px;
}
.hurkanSwitch>.hurkanSwitch-switch-box.switch-animated-on>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-status-on>.hurkanSwitch-switch-cursor-selector{ 
animation-duration: 0.1s;
animation-name:right;

}
.hurkanSwitch>.hurkanSwitch-switch-box.switch-animated-on>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-status-off>.hurkanSwitch-switch-cursor-selector{ 
animation-duration: 0.1s;
animation-name:left;

}
@keyframes right {
	0% {
		left: -5px;
		right: auto; /* Ensures right is ignored */
	}
	50% {
		left: 50%; /* Centered */
		right: auto;
		transform: translateX(-50%);
	}
	100% {
		left: auto;
		right: -5px; /* Final position on the right */
	}
}

@keyframes left {
	0% {
		right: -5px;
		left: auto; /* Ensures left is ignored */
	}
	50% {
		right: 50%; /* Centered */
		left: auto;
		transform: translateX(50%);
	}
	100% {
		right: auto;
		left: -5px; /* Final position on the left */
	}
}
@keyframes active {
    0%  {opacity: 0;}
    100%  {opacity: 1;}
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector-hover.left{
	right: -10px;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector-hover.right{
	left: -10px;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector-hover:hover{
	opacity: 1;
}


.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-primary>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#23c6c82e !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-success>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#1c84c62e !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-danger>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#ed55652e !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-warning>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#f8ac592e !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-purple>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#990bd72e !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-default>.hurkanSwitch-switch-cursor-selector-hover{
	background-color:#efefef8a !important
}



.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector-hover{
	opacity: 0;
	width: 30px;
	height: 30px;
	top: -10.2px;
	background-color: #efefefa0;
	border: 0 !important;
	position:absolute;
	display:block;
	content:"";
	border-radius:100%;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector-hover.ripple::after {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	width: 20px;
	height: 20px;
	background: rgba(255, 255, 255, 0.5);
	border-radius: 50%;
	transform: translate(-50%, -50%) scale(0);
	animation: ripple-effect 0.6s ease-out forwards;
}

@keyframes ripple-effect {
	0% {
		transform: translate(-50%, -50%) scale(0);
		opacity: 1;
	}
	100% {
		transform: translate(-50%, -50%) scale(10);
		opacity: 0;
	}
}


.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item>.hurkanSwitch-switch-cursor-selector{
	height:20px;
	pointer-events: none;
	position:absolute;
	top:-3px;
	width:20px;
	/*margin-top:-1px;*/
	margin-top:-2.2px;
	/*box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 3px 4px 0 rgba(0, 0, 0, 0.1);*/
	display:block;
	content:"";
	border-radius:100%;
	background:#fff;
	border: 1px #c0c0c0 solid !important;
}
.hurkanSwitch-switch-plugin.hurkanSwitch-switch-input{
	display:none
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-success{
	background-color:#1c84c69c !important;
	border: 1px solid #1c84c69c !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-success>.hurkanSwitch-switch-cursor-selector{
	background-color:#1c84c6 !important;
	border: 1px solid #1c84c6 !important
}

.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-warning{
	background-color:#f8ac599c !important;
	border: 1px solid #f8ac599c !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-warning>.hurkanSwitch-switch-cursor-selector{
	background-color:#f8ac59 !important;
	border: 1px solid #f8ac59 !important
}

.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-info{
	background-color:#23c6c89c !important;
	border: 1px solid #23c6c89c !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-info>.hurkanSwitch-switch-cursor-selector{
	background-color:#23c6c8 !important;
	border: 1px solid #23c6c8 !important;
}

.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-purple{
	background-color: #990bd79c !important;
	border: 1px solid #990bd79c !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-purple>.hurkanSwitch-switch-cursor-selector{
	background-color: #990bd7 !important;
	border: 1px solid #990bd7 !important;
}

.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-default{
	background-color:#fff !important;
	color:#777 !important
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-default>.hurkanSwitch-switch-cursor-selector{
	/*border:1px solid #eee !important;*/
	/*margin-top:-2.2px*/
}

.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-primary{
	background-color:#1ab3949c !important;
	border: 1px solid #1ab3949c !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-primary>.hurkanSwitch-switch-cursor-selector{
	background-color:#1ab394 !important;
	border: 1px solid #1ab394 !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-danger{
	background-color:#ed55659c !important;
	border: 1px solid #ed55659c !important;
}
.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.hurkanSwitch-switch-item-color-danger>.hurkanSwitch-switch-cursor-selector{
	background-color:#ed5565 !important;
	border: 1px solid #ed5565 !important;
}



.hurkanSwitch>.hurkanSwitch-switch-box>.hurkanSwitch-switch-item.disabled{
	    opacity: 0.65;
    filter: alpha(opacity=65);
	cursor:default
}
.hurkanSwitch>.hurkanSwitch-switch-box{
	cursor:pointer;
/*	background:#fff;*/
/*	overflow:hidden;*/
	border:0px solid #ddd;
	padding:0px;
	display:inline-block;
	width:35px;
}
.hurkanSwitch{
	display:inline-block;
	margin-top: 8px;

}
.hurkanSwitch.switch-responsive{display:block}
.hurkanSwitch.switch-responsive>.hurkanSwitch-switch-box{display:block !important}

.hurkan-wrapper {
	display: flex;
}